Package io.papermc.paper.event.world.border

# Class WorldBorderBoundsChangeFinishEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
io.papermc.paper.event.world.border.WorldBorderEvent
io.papermc.paper.event.world.border.WorldBorderBoundsChangeFinishEvent

public class WorldBorderBoundsChangeFinishEvent extends WorldBorderEvent
Called when a moving world border has finished it's move.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`WorldBorderBoundsChangeFinishEvent(@NotNull World world, @NotNull WorldBorder worldBorder, double oldSize, double newSize, double duration)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getDuration()`
Gets the duration this worldborder took to make the change.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`double`
`getNewSize()`
Gets the new size of the worldborder.
`double`
`getOldSize()`
Gets the old size of the worldborder.

### Methods inherited from class io.papermc.paper.event.world.border.WorldBorderEvent

`getWorldBorder`

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorldBorderBoundsChangeFinishEvent

public WorldBorderBoundsChangeFinishEvent(@NotNull @NotNull World world, @NotNull @NotNull WorldBorder worldBorder, double oldSize, double newSize, double duration)

## Method Details

### getOldSize

public double getOldSize()
Gets the old size of the worldborder.

Returns:
  the old size

### getNewSize

public double getNewSize()
Gets the new size of the worldborder.

Returns:
  the new size

### getDuration

public double getDuration()
Gets the duration this worldborder took to make the change.

Can be 0 if handlers for `WorldBorderCenterChangeEvent` set the duration to 0.

Returns:
  the duration of the transition

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()